require 'spec_helper'

pcap_file=File.expand_path(File.join(File.dirname(__FILE__), '../../fixtures/test.pcap'))
log_file=File.expand_path(File.join(File.dirname(__FILE__), '../../fixtures/test.asset.log'))

describe command("prads -r #{pcap_file} -l #{log_file}") do
  its(:exit_status) { should eq 0 }
  its(:stdout) {
    is_expected.to match %r{Total packets received from libpcap\s+:\s+18$}
  }
  its(:stdout) {
    is_expected.to match %r{Total TCP OS fingerprints detected\s+:\s+4$}
  }
end

describe command("prads-asset-report -r #{log_file} -n") do
  its(:exit_status) { should eq 0 }
  its(:stdout) {
    is_expected.to match /80\s+CLIENT\s+Debian\sAPT/
  }
  its(:stdout) {
    is_expected.to match /53\s+SERVER\s+DNS\sSQR\sNo\sError/
  }
end
